//Small table leg JTN 20191219

//V1.1	Fixed curve calculation 20100110

$fn=60;
eps = 0.02;

lh = 57;			//leg height (without foot)
td = 24;			//top end diameter
bd = 12.48;			//bottom end diameter
tt = 2.4;			//top thickness
shd = 4.5;			//screw hole diameter
shdd = 9.6;			//screw head diameter (9 gives about 8.4 with PLA)
st = 0.183;			//steepness of the curvature
ss = 1.0;			//step size, decrease for very steep curvature

iadj = -0.1;		//foot insert diameter adjustment
oadj = 0.2;			//foot outer diameter adjustment
fd = bd+oadj;		//foot diameter
fh = 3;				//foot height
fid = shdd+iadj;	//foot insert diameter
fih = 10;			//foot insert length


//st = $t/3; //for animation, about 20 steps, select Animation from View menu and enter steps


tr=td/2;
br=bd/2;

p = [for (a = [0 : ss: lh]) [br+(tr-br+eps)*exp(-a*st),a ],[tr+eps,lh]]; //exponential decay function as cutter
//echo(p);

module leg() {
	difference() {
		cylinder(h=lh,r=tr);												//Base stock
		translate([0,0,tt]) rotate_extrude(angle=360, $fn=60) polygon(p);	//cut into form
		translate([0,0,tt]) cylinder(h=lh,d=shdd);							//cut hole for the screw head
		cylinder(h=lh,d=shd);												//screw hole
	}
}
module foot() {
	cylinder(h=fh, d=fd);
	translate([0,0,-fih]) cylinder(h=fih, d=fid);
}

leg();
translate([0,0,lh+15]) foot();
